// Black Box game
// $Id: Corner.java 16 2006-09-03 07:55:13Z eric $
// Copyright 2006 Eric Smith <eric@brouhaha.com>
// See the accompanying file COPYING for license information.

// This subclass of Square represents a corner of the game board,
// which doesn't actually do anything.  This is necessary, though, to
// handle the case of a Ray being deflected from an edge location
// adjacent to the corner.

package com.brouhaha.blackbox;

import java.awt.*;
import java.awt.event.*;

class Corner extends Square
{
    // Corners don't do anything.
    Corner (Board board, Coordinate coord)
    {
	super (board, coord);
    }

    // This square is a corner, so process_ray () can only be
    // invoked if there has been a reflection from an atom in
    // the corner of the board.  No further ray movement is
    // required.
    void process_ray (Ray ray)
    {
	ray.final_coord = ray.initial_coord;
    }

    public void paintComponent (Graphics g)
    {
    	Graphics2D g2 = (Graphics2D) g;
    	draw_outline_and_background (g2, null, Color.gray);
    }
    
    // Ignore mouse clicks (can't guess the corners)
    public void mouseClicked (MouseEvent event)
    {
    }

    // We don't need serialization, but the following avoids
    // warnings from Eclipse.
    private static final long serialVersionUID = 1L;
}
