// Black Box game
// $Id: Score.java 16 2006-09-03 07:55:13Z eric $
// Copyright 2006 Eric Smith <eric@brouhaha.com>
// See the accompanying file COPYING for license information.

// This class displays the score of the Black Box game.
// During the game play, it displays a running score.  When
// the game is over, it displays the final score.

package com.brouhaha.blackbox;

import javax.swing.*;

class Score extends JPanel
{
    private int score;  // The actual numeric score.
    private JLabel score_label;
    private JTextField score_field;

    private void set_score (int value)
    {
	score = value;
	score_field.setText (Integer.toString (score));
    }
 	
    // Reset the score and label when starting a new game.
    void reset ()
    {
	score_label.setText ("Running Score:");
	set_score (0);
    }
 	
    Score ()
    {
	score_label = new JLabel ();
	add (score_label);
	score_field = new JTextField ();
	score_field.setColumns (2);
	add (score_field);
	reset ();
    }
 	
    // Add one to the score.
    void increment ()
    {
	set_score (score + 1);
    }
 	
    // Add a specified increment to the score.
    void increment (int incr)
    {
	set_score (score + incr);
    }

    void game_over ()
    {
	score_label.setText ("Final Score:");
    }

    // We don't need serialization, but the following avoids
    // warnings from Eclipse.
    private static final long serialVersionUID = 1L;
}
